Page MenuHomePhabricator

[BUG] Field info popups get weird if user scrolls while popup is open
Closed, ResolvedPublic3 Story Points

Description

Discovered by @Etonkovidova in T203052#4558068.

Clicking on info icon and when it opens, scrolling down will add some vertical and horizontal scrolling inside the box and eventually a blank box will be displayed:



Note that similar behavior is observed when the user scrolls up.
That is, in the event that an open popup is no longer in the view, the text appears weirdly as if it no longer has the same amount of area to display the text.

This is not the desired behavior.

Proposed solutions:
The popup always remains open unless closed by the user, even when the user scrolls away from it. When the popups scrolls back in the view. the text displays exactly the way it should without any scrollbars or extra line breaks/text wraps.

Whichever of the above two is quicker/easier to do, lets do that. The first one is preferred if they would take the same amount of time.

Details

Related Gerrit Patches:
mediawiki/extensions/TemplateWizard : masterUse existing overlay for all popups

Event Timeline

Niharika triaged this task as Medium priority.Sep 5 2018, 12:48 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 5 2018, 12:48 PM
Niharika updated the task description. (Show Details)Sep 11 2018, 11:13 PM
Niharika set the point value for this task to 3.

If we give the popups their own overlay, it looks like the below and scrolls correctly.

Sweet! This fixes the specific bug.

That said -- pinging @Catrope here; Roan, we've seen this bug before when there's a combination of Floatable and Clippable. You can see it in Echo and in RCFilters if you resize the screen to be very narrow -- at some point, the popup(s) will go haywire with its width. Do you have any idea what could do this? It looks like a problem with the calculations that Clippable does to trim itself, that collide with the calculation that Floatable does to move the elements around the screen.

Any thoughts on this? We should open an OOUI bug for this behavior.

Change 471911 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/TemplateWizard@master] Use custom overlay for help popups

https://gerrit.wikimedia.org/r/471911

Samwilson claimed this task.Nov 6 2018, 7:17 AM
Samwilson moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

It seems to work fine sharing the popup overlay that we're already injecting for the calendar etc. @Mooeypoo did you say there was a problem with doing that? The two sorts of popups can never be open at the same time, so I don't think things will overlap or anything.

It seems to work fine sharing the popup overlay that we're already injecting for the calendar etc. @Mooeypoo did you say there was a problem with doing that? The two sorts of popups can never be open at the same time, so I don't think things will overlap or anything.

That shouldn't be a problem at all; we need the overlay that the window manager gives us for the Dialog, and a separate overlay that goes on top of it for the popups.

Small comment on the patch, but the overall strategy is good, and seems to work in my tests.

Change 471911 merged by Umherirrender:
[mediawiki/extensions/TemplateWizard@master] Use existing overlay for all popups

https://gerrit.wikimedia.org/r/471911

Niharika closed this task as Resolved.Dec 10 2018, 9:43 PM
Niharika moved this task from QA to Q2 2018-19 on the Community-Tech-Sprint board.

This seems to be fixed now.